Bug 1276106 - Smart parameters cannot parse hash type from json or yaml correctly with certain characters.
Smart parameters cannot parse hash type from json or yaml correctly with cert...
Status: CLOSED WONTFIX
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Smart Variables (Show other bugs)
6.1.3
x86_64 Linux
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: satellite6-bugs
Katello QA List
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-28 13:58 EDT by Dan Lavu
Modified: 2017-01-11 16:37 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-01-11 16:37:35 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Lavu 2015-10-28 13:58:54 EDT
Description of problem:
Trying to add an action template to rsyslog (saz-rsyslog), the parameter requires a hash and whatever json or yaml format that is inserted, does not get formatted correctly. 


Version-Release number of selected component (if applicable):
rubygem-hammer_cli_katello-0.0.7.18-1.el7sat.noarch
katello-debug-2.2.0.16-1.el7sat.noarch
katello-service-2.2.0.16-1.el7sat.noarch
katello-installer-2.3.20-1.el7sat.noarch
ruby193-rubygem-katello-2.2.0.73-1.el7sat.noarch
katello-default-ca-1.0-1.noarch
katello-installer-base-2.3.20-1.el7sat.noarch
katello-2.2.0.16-1.el7sat.noarch
katello-certs-tools-2.2.1-1.el7sat.noarch
katello-common-2.2.0.16-1.el7sat.noarch
pulp-katello-0.5-1.el7sat.noarch
katello-server-ca-1.0-1.noarch
python-pulp-puppet-common-2.6.0.16-1.el7sat.noarch
pulp-nodes-common-2.6.0.16-1.el7sat.noarch
pulp-puppet-plugins-2.6.0.16-1.el7sat.noarch
pulp-puppet-tools-2.6.0.16-1.el7sat.noarch
rubygem-smart_proxy_pulp-1.0.1.2-1.el7sat.noarch
python-pulp-common-2.6.0.16-1.el7sat.noarch
pulp-docker-plugins-0.2.5-1.el7sat.noarch
pulp-selinux-2.6.0.16-1.el7sat.noarch
python-kombu-3.0.24-10.pulp.el7sat.noarch
python-isodate-0.5.0-4.pulp.el7sat.noarch
python-pulp-rpm-common-2.6.0.16-1.el7sat.noarch
python-pulp-bindings-2.6.0.16-1.el7sat.noarch
pulp-nodes-parent-2.6.0.16-1.el7sat.noarch
pulp-rpm-plugins-2.6.0.16-1.el7sat.noarch
python-pulp-docker-common-0.2.5-1.el7sat.noarch
pulp-server-2.6.0.16-1.el7sat.noarch
pulp-katello-0.5-1.el7sat.noarch


How reproducible:
Always


Steps to Reproduce:
1. Install the saz-rsyslog puppet module
2. Under rsyslog client, add an actiontemplate
3. Drop a yaml or json formatted hash with : %

{
"name": ["GRAYLOGRFC5424"],
"template": ["<%PRI%>%PROTOCOL-VERSION% %TIMESTAMP:::date-rfc3339% %HOSTNAME% %APP-NAME% %PROCID% %MSGID% %STRUCTURED-DATA% %msg%\n"]
}

{"name": "GRAYLOGRFC5424",
"template": "<%PRI%>%PROTOCOL-VERSION% %TIMESTAMP:::date-rfc3339% %HOSTNAME% %APP-NAME% %PROCID% %MSGID% %STRUCTURED-DATA% %msg%\n"}

name: GRAYLOGRFC5424
  template: '<%PRI%>%PROTOCOL-VERSION% %TIMESTAMP:::date-rfc3339% %HOSTNAME% %APP-NAME% %PROCID% %MSGID% %STRUCTURED-DATA% %msg%\n'


Actual results:
Smart parameter gets formatted like so:

--- ! "name: GRAYLOGRFC5424\r\n  template: ! '<%PRI%>%PROTOCOL-VERSION% %TIMESTAMP:::date-rfc3339%
  %HOSTNAME% %APP-NAME% %PROCID% %MSGID% %STRUCTURED-DATA% %msg%\\n'"



Expected results:
name: GRAYLOGRFC5424  
   template: ! '<%PRI%>%PROTOCOL-VERSION% %TIMESTAMP:::date-rfc3339%
  %HOSTNAME% %APP-NAME% %PROCID% %MSGID% %STRUCTURED-DATA% %msg%\n'


Additional info:
Puppet fails to complete when this parameter is not parsed correctly with a connection error.
Comment 2 Bryan Kearney 2016-07-26 15:10:37 EDT
Moving 6.2 bugs out to sat-backlog.
Comment 3 Bryan Kearney 2017-01-11 16:37:35 EST
This is an older bug which I do not envision being fixed in the near term. I am closing this out. If you believe doing so is an issue, please feel free to re-open and provide additional business information. Thank you.

Note You need to log in before you can comment on or make changes to this bug.